#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>
#include "ui_mainwindow.h"

class MainWindow : public QMainWindow, public Ui::MainWindowClass
{
    Q_OBJECT

	public:
		MainWindow(QWidget *parent = 0);
		~MainWindow();

	private:
		void executeStatement(const QString & statement,
							  const QList<QVariant> & params = QList<QVariant>());

	private slots:
		void driversInfo();
		void beginButton_clicked();
		void commitButton_clicked();
		void rollbackButton_clicked();
		void correctCommandButton_clicked();
		void wrongCommandButton_clicked();

};

#endif // MAINWINDOW_H
