#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>
#include "ui_mainwindow.h"

class QSqlRelationalTableModel;


class MainWindow : public QMainWindow, public Ui::MainWindowClass
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
	QSqlRelationalTableModel * m_mainModel;

private slots:
	void tableView_selectionChanged(const QItemSelection &,
									const QItemSelection &);
	void listOwners();
	void addNewPet();

};

#endif // MAINWINDOW_H
